Description

Hello,

We are analyzing subjects participating in all waves of BHPS and UKHLS from all the boosts, using the time-varying longitudinal

weights.

We are also in the presence of censoring. Neither R or Stata allow doing both a fixed effects, random effects or survival analysis

using

weights changing within the same subject.

I have a few questions regarding this

1) Should each subject use longitudinal weights up to the last wave available? What about the 0 or missing weights? If we don't want

to lose these observations, should we use the last valid weight?

2) Do we need to change the types of weights once a boost is added (e.g. in wave ten or so, change from indin91_lw to

indin99_lw?)?

3) Given that we are using UKHLS and BHPS, do we still need to rescale the weights? Should the rescaling consider the weights of

all person-years as the base or only the ones selected in 1)?

Thank you and best,

Lydia

History

#1 - 08/22/2024 11:59 AM - Understanding Society  User Support Team

- Assignee changed from Understanding Society  User Support Team to Olena Kaminska

- % Done changed from 0 to 10

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

We aim to respond to simple queries within 48 hours and more complex issues within 7 working days.

Best wishes,

Understanding Society User Support Team

#2 - 09/05/2024 10:14 AM - Understanding Society  User Support Team

- Category set to Weights

#3 - 09/05/2024 12:41 PM - Olena Kaminska

Lydia,

Thank you for your question. Survival analysis takes care of the attrition and needs only initial (wave 1) weights.

If you pool people from different boosts (starting points) you should treat it as general pooling and follow our advice in FAQs:

https://www.understandingsociety.ac.uk/wp-content/uploads/working-papers/2024-01.pdf

Hope this helps,

Olena

#4 - 09/17/2024 04:23 PM - Understanding Society  User Support Team

- Status changed from New to Feedback

- % Done changed from 10 to 80
